// Polygon Class    by Alan Baylis 2001

#ifndef POLYGON_H
#define POLYGON_H

#include "texture.h"
#include "vector.h"
#include "vertex.h"

class POLYGON
{
    public:
        POLYGON();
        ~POLYGON();

        VECTOR GetNormal();
        void SetNormal();

        float Scale[2];
        float Shift[2];
        float Rotate;
        unsigned int Texture;
        int numVertices;
        VERTEX Vertex[3];
};

VECTOR GetEdgeIntersection(VECTOR point0, VECTOR point1, POLYGON planePolygon);
int SplitPolygon(POLYGON triangleToSplit, POLYGON planeTriangle, POLYGON* triangles);

#endif
